#!/bin/bash
:<<- Comment
# Whenaver this script will run it will check the usage of user defined partition (Mount Point) and it's size 
# If the usage size if defined partion is more than limit size it will mail to the administrator
#
#
# Requirements to run this script smoothly
	1) "sendEmail" command this command you can download from following link
		http://caspian.dotconf.net/menu/Software/SendEmail/ 
				or
		http://caspian.dotconf.net/menu/Software/SendEmail/sendEmail-v1.55.tar.gz

	2) For TLS Support
		SendEmail v1.54, TLS support is included! To enable TLS support simply install the Net::SSLeay and IO::Socket::SSL perl modules.
		The following new command line parameters are now available:
		-o tls=auto This is the default, TLS will be used if possible.
		-o tls=yes Use this to require TLS for message delivery.
		-o tls=no Use this to disable TLS support.
	
	3) You can run this cript through cron jobs for that you have to make entry in "/etc/crontab file"
		# If you want to run this script once in every 10 min
		Open file : vim /etc/crontab
		Add entry : */10 * * * * root /path/of/this/script/diskmoniter.sh 
		Restart service : /etc/init.d/cron restart
Comment


# Define partition to be moniter (Mount Point) and it's limit
MPOINT="/dev/sda1"
LIMIT="50"

FROM_MAIL="rahul.safesquid@gmail.com"

# Sender's  Username and password account for sending mail
SNDR_UNAME="rahul.safesquid@gmail.com"
SNDR_PASSWD="sarva1234"

# Define recepient's email ID
TO_MAIL="d.safesquid@gmail.com"

# Define CC to
CC_TO="suhaskekuda@gmail.com"

# Define mail server for sending mail [ IP:PORT or HOSTNAME:PORT ]
RELAY_SERVER="mail.safesquid.net"

# Message Body to be send ( You can customize your message body )

MSGE ()
	{
cat <<- EOF_
	Dear sir,

	This is detail of your system
        
        hard disk usage
	`df -H`

        inode useage
	`df -i`
	EOF_
	return;
	}

df -H | grep ${MPOINT} |  awk '{print $5"\t"$1"\t"$6}' | while read OUTPUT;
do
  echo ${OUTPUT}
  USEP=$(echo ${OUTPUT} | awk '{ print $1}' | cut -d'%' -f1)
  PARTITION=$(echo $OUTPUT | awk '{ print $2 }')
  MOUNTPOINT=$(echo ${OUTPUT} | awk '{print $3}')

  #echo "USAGE IS ${USEP} "
  #echo "PARTTION IS ${PARTITION}"
  #echo "MOUNTPOINT IS ${MOUNTPOINT}"
  

if [ ${USEP} -ge ${LIMIT} ]; then
	echo "Partition ${MOUNTPOINT} is ${USEP}% full " 
		/usr/bin/sendEmail -v  -f ${FROM_MAIL} -t ${TO_MAIL} -u "Partition ${MOUNTPOINT} is ${USEP}%" -m "`MSGE`" -xu ${SNDR_UNAME} -xp ${SNDR_PASSWD} -s ${RELAY_SERVER} -cc ${CC_TO}
fi
done

exit 0

